Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class LexicalHandlerProxy

    java.lang.Object
      |
      +--com.bea.wlpi.common.LexicalHandlerProxy

public class LexicalHandlerProxy
extends java.lang.Object
implements org.xml.sax.ext.LexicalHandler

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`LexicalHandlerProxy()`

Method Summary
`void` | `comment(char[] ch, int start, int length)` Report an XML comment anywhere in the document.
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endEntity(java.lang.String name)` Report the end of an entity.
`void` | `setHandler(org.xml.sax.ext.LexicalHandler handler)`
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startEntity(java.lang.String name)` Report the beginning of an entity in content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LexicalHandlerProxy

    public LexicalHandlerProxy()

Method Detail

### setHandler

    public void setHandler(org.xml.sax.ext.LexicalHandler handler)

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Report the end of a CDATA section.
  Specified by:
    endCDATA in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startCDATA()`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Report the start of DTD declarations, if any.

  Any declarations are assumed to be in the internal subset unless otherwise indicated by a startEntity event.

  Note that the start/endDTD events will appear within the start/endDocument events from ContentHandler and before the first startElement event.

  Specified by:
    startDTD in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Report the end of DTD declarations.
  Specified by:
    endDTD in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Report an XML comment anywhere in the document.

  This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read).

  Specified by:
    comment in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Report the beginning of an entity in content.

  NOTE: entity references in attribute values -- and the start and end of the document entity -- are never reported.

  The start and end of the external DTD subset are reported using the pseudo-name "[dtd]". All other events must be properly nested within start/end entity events.

  Note that skipped entities will be reported through the skippedEntity event, which is part of the ContentHandler interface.

  Specified by:
    startEntity in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endEntity(java.lang.String)`, `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`, `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Report the end of an entity.
  Specified by:
    endEntity in interface org.xml.sax.ext.LexicalHandler

  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `startEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Report the start of a CDATA section.

  The contents of the CDATA section will be reported through the regular characters event.

  Specified by:
    startCDATA in interface org.xml.sax.ext.LexicalHandler

  Throws:
    org.xml.sax.SAXException - The application may raise an exception.
  See Also:
    `endCDATA()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)